Retrieves an object of the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

location
NameDescriptionTypeAdditional information
id

globally unique identifier

Required

_parent_id

Reference to a parent location

globally unique identifier
_parent_reference_back_office

Embedded entity "location" for parent location using ERP PK when adding/updating location

string
_parent_location

Embedded entity "location" for parent location when adding/updating location

location
project_status_id

Foreign key to project_status_id

globally unique identifier
company_id

The company owner of this location

globally unique identifier

Optionally required : company_id, company_code or company must be provided

company_code

Embedded entity "company" using ERP PK when adding/updating location

string

Optionally required : company_id, company_code or company must be provided

company

Embedded entity "company" when adding/updating location

company

Optionally required : company_id, company_code or company must be provided

name

Name of the location

string

Required

Max length: 50

extra_information

extra_information

string

Max length: 255

reference_back_office

The Id/Ref of the back office for this location. Used by Embedded entity

string

Max length: 255

street

Street

string

Max length: 100

street_number

Street number.

string

Max length: 50

zip

Zip code

string

Max length: 50

city

City

string

Max length: 50

phone

Phone number

string

Max length: 50

email

Email address

string

Max length: 250

db_country_id

Foreign key to table Country

globally unique identifier
db_country_code

CountryCode entity using international code when adding/updating company

string
street2

Additional information on the address not part of the postal address

string

Max length: 50

latitude_decimal

Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
longitude_decimal

Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded

decimal number
contact_id

Foreign key of contact for this location

globally unique identifier
contact_reference_back_office

Foreign key of contact for this location. If you don't know the GUID, use contact_reference_back_office

string
contact

Embedded entity "contact" when adding/updating location

contact
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
id2

Internal ID (numeric). Will be used if reference_back_office is empty

integer

Response Formats

application/json, text/json

Sample:
{
  "id": "74942296-88c0-4935-a237-90a63d4ade19",
  "_parent_id": "d49261d4-1643-4415-9d7a-02c44fcc07ab",
  "_parent_reference_back_office": "sample string 3",
  "project_status_id": "6cd8efdd-1ad2-4703-a214-01acf9dcd0a8",
  "company_id": "3e6f619d-0bcd-4363-9efa-27261bf45ebe",
  "company_code": "sample string 6",
  "name": "sample string 7",
  "extra_information": "sample string 8",
  "reference_back_office": "sample string 9",
  "street": "sample string 10",
  "street_number": "sample string 11",
  "zip": "sample string 12",
  "city": "sample string 13",
  "phone": "sample string 14",
  "email": "sample string 15",
  "db_country_id": "7787df5c-bd93-428c-b304-4ecbeb1eeadd",
  "db_country_code": "sample string 17",
  "street2": "sample string 18",
  "latitude_decimal": 1.0,
  "longitude_decimal": 1.0,
  "contact_id": "9b3a7a0e-a991-47d7-9e20-f744e1d4cd20",
  "contact_reference_back_office": "sample string 20",
  "contact": {
    "id": "49188c1c-f131-4518-b878-4b02518f6184",
    "firstname": "sample string 2",
    "lastname": "sample string 3",
    "company_id": "b0211f92-a0d1-4cc1-a29e-5321646f0c92",
    "company_code": "sample string 5",
    "company": {
      "id": "f1d87348-4262-4e34-84b1-9fa751814342",
      "is_client": true,
      "is_supplier": true,
      "archived": true,
      "name": "sample string 5",
      "notes": "sample string 6",
      "create_date": "2026-11-07T08:59:30.5649126+00:00",
      "sales_territory_id": "e4db8251-58a5-4860-98fb-5176263a77d4",
      "sales_territory_code": "sample string 9",
      "sales_territory": {
        "id": "01e6d659-b68c-4959-a245-a0c465533953",
        "code": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "81aa8ab0-afdc-486b-b003-62175736c327",
        "sales_organization_code": "sample string 5",
        "sales_organization": {
          "id": "8f29744b-279f-4276-a97f-c8ada2107983",
          "code": "sample string 2",
          "name": "sample string 3",
          "description": "sample string 4",
          "db_country_id": "7a8591bd-c7f7-4777-bafd-e4eb052b5f36",
          "db_currency_id": "de436ca2-d2b7-487f-8538-8b5de8f11c32",
          "db_language_id": "74d7184d-cfb8-41d1-9e69-15c3337b5ef4",
          "accountancy_code": "sample string 8",
          "archived": true,
          "default_unit_of_measure_system_type": "sample string 10",
          "street": "sample string 11",
          "street2": "sample string 12",
          "street_number": "sample string 13",
          "zip": "sample string 14",
          "city": "sample string 15",
          "email": "sample string 16",
          "phone": "sample string 17",
          "fax": "sample string 18",
          "url": "sample string 19",
          "vat_reg_code": "sample string 20",
          "modified_dateutc": "2026-11-07T08:59:30.5649126+00:00"
        },
        "modified_dateutc": "2026-11-07T08:59:30.5649126+00:00"
      },
      "marketing_segment_id": "976c58cb-fe82-44dc-ac09-95c0b3e1fafe",
      "marketing_segment_code": "sample string 11",
      "sales_organization_id": "6032c759-7494-4c77-9d61-be692c283895",
      "sales_organization_code": "sample string 13",
      "company_sales_status_code": "sample string 14",
      "vat_reg_code": "sample string 15",
      "is_working_address": true,
      "parent_id": "06115c5f-4906-4b20-a1fd-0d9c7af5b742",
      "parent_company_code": "sample string 18",
      "phone": "sample string 19",
      "fax": "sample string 20",
      "url": "sample string 21",
      "email": "sample string 22",
      "street": "sample string 23",
      "street_number": "sample string 24",
      "city": "sample string 25",
      "zip": "sample string 26",
      "db_country_id": "a65b5d37-70e8-4a39-ab42-1a4ccc79f859",
      "db_country_code": "sample string 28",
      "feelist_id": "f0fcb022-30c2-42d0-8227-dd3995470c15",
      "feelist_reference_back_office": "sample string 30",
      "feelist": {
        "id": "8db4fe0f-850d-494b-ad7f-21da50ea72cf",
        "name": "sample string 2",
        "description": "sample string 3",
        "is_default": true,
        "default_price": 1.0,
        "sales_organization_id": "5572b04b-d18b-411e-8747-302c8aea031c",
        "sales_organization_code": "sample string 6",
        "reference_back_office": "sample string 7",
        "modified_dateutc": "2026-11-07T08:59:30.5649126+00:00",
        "db_currency_id": "5334e26e-cf2a-4a55-919c-7cb64d1fea5f",
        "db_currency_code": "sample string 10"
      },
      "company_type_id": "3c02d0c3-49f2-455e-a76a-514603f4df9a",
      "company_type_name": "sample string 32",
      "company_type": {
        "id": "2aba4a08-e844-40c2-9f7d-fa58cd74c3c7",
        "name": "sample string 2",
        "description": "sample string 3",
        "sales_organization_id": "fa91d3f0-d9d0-4915-a73e-c9a85c800302",
        "sales_organization_code": "sample string 5"
      },
      "db_language_id": "bae9d9c8-d776-4d7f-80ae-a7e632adedfd",
      "db_language_code": "sample string 34",
      "code": "sample string 35",
      "article_price_label_id": "ab2a3ad4-de66-4178-bb00-f8e427c60fd1",
      "article_price_label_code": "sample string 37",
      "db_payment_method_id": "3810b1de-5c61-40af-9317-d4a32e82e3f2",
      "db_payment_method_reference_back_office": "sample string 39",
      "db_payment_methods": {
        "id": "5341c307-8115-44da-8a28-13ecab6efaf7",
        "name": "sample string 2",
        "description": "sample string 3",
        "reference_back_office": "sample string 4",
        "activated": true,
        "modified_dateutc": "2026-11-07T08:59:30.5649126+00:00"
      },
      "company_sector_id": "8ef647d8-9f78-4391-8a33-bd15be0d2e0b",
      "company_sector_code": "sample string 41",
      "is_lead": true,
      "is_subcontractor": true,
      "latitude": 1.0,
      "longitude": 1.0,
      "street2": "sample string 44",
      "bic_code": "sample string 45",
      "specialities": "sample string 46",
      "register_number": "sample string 47",
      "register_city": "sample string 48",
      "bankaccount": "sample string 49",
      "mobile": "sample string 50",
      "service_manager_user_id": "976bcc51-9f3c-4c42-bfe9-bbaa842842d8",
      "service_manager_user_code": "sample string 52",
      "finance_manager_user_id": "525bf9a9-3b44-4f32-bd59-97a77bf94074",
      "finance_manager_user_code": "sample string 54",
      "account_manager_user_id": "287e3011-019a-4034-9325-a4531f66807b",
      "account_manager_user_code": "sample string 56",
      "company_status_id": "0bd61d48-8f3d-444c-ba62-12f024882ecc",
      "invoice_email_to": "sample string 58",
      "modified_dateutc": "2026-11-07T08:59:30.5649126+00:00",
      "id2": 60
    },
    "db_language_id": "bb78409d-d56e-4dc2-ac9b-6eb3743855bf",
    "db_language_code": "sample string 7",
    "db_title_id": "1cb67a33-325a-44e4-aa3c-08dcd0714fac",
    "archived": true,
    "functions": "sample string 10",
    "e_login": "sample string 11",
    "e_password": "sample string 12",
    "notes": "sample string 13",
    "birthdate": "2026-11-07T08:59:30.5649126+00:00",
    "create_date": "2026-11-07T08:59:30.5649126+00:00",
    "phone": "sample string 16",
    "mobile": "sample string 17",
    "email": "sample string 18",
    "skype": "sample string 19",
    "private_phone": "sample string 20",
    "private_mobile": "sample string 21",
    "private_email": "sample string 22",
    "reference_back_office": "sample string 23",
    "modified_dateutc": "2026-11-07T08:59:30.5649126+00:00"
  },
  "modified_dateutc": "2026-11-07T08:59:30.5649126+00:00",
  "id2": 22
}